<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class DeleteSlaRuleListEvent extends Event implements ProjectEventInterface
{
    protected $project;
    protected $rules;
    public function __construct(\HDProject $project, array $_458d7f6e7713c8ba96d2075dedaaf6c4)
    {
        $this->project = $project;
        $this->rules = $_458d7f6e7713c8ba96d2075dedaaf6c4;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getRules() : array
    {
        return $this->rules;
    }
}